#include "includes.h"

void GestorOpengl::push() {
	// guarda o estado dos Enables na pilha
	glPushAttrib(GL_ENABLE_BIT);
}

void GestorOpengl::pop() {
	// passa da pilha para o OpenGL
	glPopAttrib();
}

void GestorOpengl::enable(GLenum propriedade) {
	if(! glIsEnabled(propriedade))
		glEnable(propriedade);
}

void GestorOpengl::disable(GLenum propriedade) {
	if(glIsEnabled(propriedade))
		glDisable(propriedade);
}

GLboolean GestorOpengl::isEnabled(GLenum propriedade) {
	return glIsEnabled(propriedade);
}