#include "includes.h"

void* font_style;

// Muda a fonte para os menus
void setFont(char* name, int size) {
	if(! strcmp(name, "helvetica")){
		if(size == 10){font_style = GLUT_BITMAP_HELVETICA_10;return;}
		if(size == 12){font_style = GLUT_BITMAP_HELVETICA_12;return;}
		if(size == 18){font_style = GLUT_BITMAP_HELVETICA_18;return;}
		return;
	}
	if(! strcmp(name, "times roman")){
		if(size == 10){font_style = GLUT_BITMAP_TIMES_ROMAN_10;return;}
		if(size == 24){font_style = GLUT_BITMAP_TIMES_ROMAN_24;return;}
		return;
	}
	if(! strcmp(name, "8x13")){font_style = GLUT_BITMAP_8_BY_13;return;}
	if(! strcmp(name, "9x15")){font_style = GLUT_BITMAP_9_BY_15;return;}
}

// desenha as fontes
void drawStr(int x, int y, char* format, ...) {
    va_list args;
    char buffer[255], *s;
    
    va_start(args, format);
    vsprintf(buffer, format, args);
    va_end(args);
    
    glRasterPos2i(x, y);
    for (s = buffer; *s; s++)
        glutBitmapCharacter(font_style, *s);
}